extends Panel

func _ready() -> void:
    var unit_trassa = network.get_unit_instance('уарэп-трасса')
    unit_trassa.connect('line_changed',  Callable(self, 'on_trassa_line_changed'))
    signaller.connect('sector_klaster',  Callable(self, 'on_sector_klaster').bind(unit_trassa))


func on_trassa_line_changed(unit_trassa):
    if unit_trassa.online:
        $"454/СостояниеРэс3".self_modulate = Color.WEB_GREEN
        $"СкруглённыйПрямоугольникБелый/Label3".text = 'Трасса'
        $"СкруглённыйПрямоугольникБелый/Label4".text = 'Трасса'
        $"СкруглённыйПрямоугольникБелый/Label5".text = 'Активный'
        $"СкруглённыйПрямоугольникБелый/Label6".text = str(unit_trassa.daa)
        $"СкруглённыйПрямоугольникБелый/Label7".text = str(unit_trassa.dap)
        $"СкруглённыйПрямоугольникБелый/Label8".text = '1'
        $"СкруглённыйПрямоугольникБелый/Label9".text = str(unit_trassa.lfb)
        $"СкруглённыйПрямоугольникБелый/Label10".text = str(unit_trassa.lfb)
    else:
        $"454/СостояниеРэс3".self_modulate = Color.WHITE
        $"СкруглённыйПрямоугольникБелый/Label3".text = '-'
        $"СкруглённыйПрямоугольникБелый/Label4".text = '-'
        $"СкруглённыйПрямоугольникБелый/Label5".text = '-'
        $"СкруглённыйПрямоугольникБелый/Label6".text = '-'
        $"СкруглённыйПрямоугольникБелый/Label7".text = '-'
        $"СкруглённыйПрямоугольникБелый/Label8".text = '-'
        $"СкруглённыйПрямоугольникБелый/Label9".text = '-'
        $"СкруглённыйПрямоугольникБелый/Label10".text = '-'


func on_sector_klaster(data, unit_trassa):
    $"СкруглённыйПрямоугольникБелый/Label6".text = str(unit_trassa.dap)
    $"СкруглённыйПрямоугольникБелый/Label7".text = str(unit_trassa.daa)
    $"СкруглённыйПрямоугольникБелый/Label8".text = '1'
    $"СкруглённыйПрямоугольникБелый/Label9".text = str(unit_trassa.lfb)
    $"СкруглённыйПрямоугольникБелый/Label10".text = str(unit_trassa.hfb)
